Actual Title Buttons

Add Minimize To Tray, Rollup\Unroll, Stay On Top and Make Transparent buttons on any windows title bar!

Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Windows concept is quite usable when it comes to minimizing, maximizing and restoring a window. However, there are still possibilities to unleash. Is there an application that can enhance our computing experience by providing more effective window interface?

In fact, there is! Introducing Actual Title Buttons, the unique windows management tool that offers extended window manipulating capabilities by means of adding new buttons to a window caption.

Actual Title Buttons allows you to take advantage of hidden Windows features such as making any window semi-transparent or rolling-up and unrolling windows. All new actions are available by pressing the corresponding button in the window title bar, just as you do with standard buttons.

Besides on-the-fly window transparency control and window roll-up \ unroll features, Actual Title Buttons allows you to minimize any window to TaskTray notification area instead of Taskbar and keep any window on top of others.

What is actually great about this software, it keeps track of all the individual window settings you specify allowing you to tune the system interface once and keep the change until you wish to alter any of the settings in the future.

Actual Title Buttons comes with flexible pricing options and a FREE trial version available! Download it now!

Features

  • Minimize to Tray Minimize To Tray button button:
    The 'Minimize to Tray' feature lets you save taskbar space while providing access to minimized applications via the system tray icons. Make your own taskbar less cluttered and more handy!
  • Rollup\Unroll [image] button:
    The 'Rollup\Unroll' feature lets you minimize windows so only the title bars remain visible.
  • Stay on Top Stay on Top button button:
    The 'Stay on Top' feature helps you place the selected windows on top of other ones, so that it were always accessible and couldn't be hidden by other windows. Don't let these windows annoy you when you busy!
  • Send to Bottom Send To Bottom button button:
    The 'Send to Bottom' feature sends the desired window to the bottom of others. In other words, this button hides a window under other windows, but leaves it on the desktop.
  • Make Transparent Make Transparent button button:
    The 'Make Transparent' feature lets you apply transparency effect from 0% (fully transparent) to 100% (solid) rate to any program such as Instant Messenger, Notepad, Outlook Express and others in Windows 2000/XP.

    Transparency Context Menu

    You can select a different transparency level for any window on the fly, while it is open! Right-clicking 'Make Transparent' button displays a context menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • Align Window Align Window button button:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc. Right-clicking 'Align Window' button displays a context menu where you can choose one of the nine types of alignement.

    Align Window Context Menu

  • Resize Window Resize Window button button:
    The 'Resize Window' feature allows you to set the size of any selected application window to have it always opened at the size you want. You can choose any Default Window Size from the list which includes exact window sizes in pixels (e.g. 640 x 480; 800 x 600; 1024 x 768) or in percents from the desktop size (e.g. 100% x 100%; 50% x 50%). Moreover you can set the width and height of any window on your own by using Custom Window Size option.

    Resize Window Context Menu

    Resize Window tool is extremely useful for website designers. They can quickly see how their web project looks like in different resolutions by flicking through default window sizes or setting any unique window size on their own.
  • Windows XP visual styles support:
    Actual Title Buttons supports Windows XP visual styles and new buttons look very nice!
  • Hotkeys support:
    Now you can minimize programs to the system tray, always keep them on top, roll up windows, make them semitransparent, etc. by means only one keystroke combination. Such a possibility lets you manage the same actions much quicker on condition of using keyboard.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Title Buttons supports English, German, Spanish, French, Italian, Portuguese, Swedish, Catalan, Turkish and Polish languages.
  • Possibility to improve almost each program:
Actual Title Buttons is useful for working with
  e-mail clients (Microsoft Outlook, MS Outlook Express, Eudora, Incredimail etc.);
  messenger programs (Windows/MSN Messenger, Yahoo! Messenger etc.);
  media players (Windows Media Player etc.);
  office tools (Microsoft Word, Microsoft Excel, Adobe PhotoShop, Corel Draw etc.);
  developer tools (MS Visual Studio, Borland Delphi etc.);
  offline browsers or ftp-clients; and many other kinds of programs.

Add new buttons on your windows right now!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Title Buttons: What's new

What's new in the Actual Title Buttons

                    Actual Title Buttons
                    http://www.ActualTools.com/titlebuttons/

                    What's new in the latest version

[!] Important
[+] New
[-] Fixed error
[*] Changes

---------------------------------------------------------------------------
Actual Title Buttons 3.8 (23.09.2005)
---------------------------------------------------------------------------
[*] Fixed the bug: if minimized-to-tray application was
    restored by self or other application and not through the tray icon, in
    some programs icon remained in tray. To name just a few: Windows Task
    Manager, TextPad, Microsoft Outlook.
[*] Work with almost all integer-valued entry fields has been simplified.
    Now, one can start entering numbers from empty line and minus as a first
    symbol in window position fields is possible.
[*] Options Dialog: the disappearance of hotkeys list when all flags are
    disabled and all "Hotkey" values are set to "None" is fixed.
[-] Window Rule: "Window class" criterion's "Substring match" option has
    been removed. Now the criterion's test is always made as checking a join of
    "Window class" field's entered string into real window class name.
[*] Window system menu: the problem with incomplete activation of
    Configuration Module when choosing command "Create/Modify Window Rule" was
    finally solved.

---------------------------------------------------------------------------
Actual Title Buttons 3.7 (02.08.2005)
---------------------------------------------------------------------------
[-] Fixed the bug that caused blinking of the title buttons. Support of
    visual themes in Windows XP for title buttons has also been improved.
[-] The "Resize Window" action have been improved. The new version restores
    window sizes correctly. Also the program works fine with windows opened
    full screen.
[-] Fixed the bug that didn't allow setting the previous level of
    transparency correctly in Windows 2000.
[+] Added supports of RAdmin remote access windows.
[*] We have improved window class identification. Exact matching of the
    entered window class with the real window class is no longer required.
[-] Fixed the bug that didn't allow the Configuration Module to restore
    correctly when accessed through the "Create/Modify Window Rule"
    command of the menu.
[-] Fixed the bugs in the contextual menu in the Configuration Module tree.

---------------------------------------------------------------------------
Actual Title Buttons 3.6 (06.04.2005)
---------------------------------------------------------------------------
[!] New way to create the custom options for specific windows.
    The new item "Create Window Rule" is included in the system window menu
    of all windows. With a right mouse click on the window title call a
    menu and follow the item "Create Window Rule" to create a rule for this
    window. The new rule will be created automatically and what is left is
    to specify the actions which you would like to apply to this window.
[+] New option "Restore total visibility to the window" is added to
    Resize Window action. It enables to enlarge the window without having
    it partly hidden beyond the bottom right-hand corner of your desktop.
    The window is automatically shifted in the top left-hand corner
    direction and thus recovers entire visibility.
[+] New "Do not add icon to the tray" option is added to "Minimize to Tray"
    action. This option is useful for windows that have their own tray
    icons, such as Microsoft Outlook 2003, Windows Messenger and so on.
[*] Custom window rules are added in for the browsers Mozilla Firefox and
    Opera. Moreover, some settings of already existing rules are modified.
[*] The interface of the program is slightly changed.

---------------------------------------------------------------------------
Actual Title Buttons 3.5 (20.01.2005)
---------------------------------------------------------------------------
[!] Windows Extension Engine is improved.
[+] Added "Hide Configuration Window when using the Window Finder
    (gunsight) tool" option.
[+] Added "Enable All Rules" and "Disable All Rules" commands.
[+] Added context menu for Window Rules.
[+] Supports of MFC windows (window class like Afx:X:X:X:X:X)
[*] Memory usage and load speed optimization.

---------------------------------------------------------------------------
Actual Title Buttons 3.0 (13.10.2004)
---------------------------------------------------------------------------
[!] Hotkeys support: Now you can minimize programs to the system tray,
    always keep them on top, roll up windows, make them semitransparent,
    etc. by means only one keystroke combination. Such a possibility lets
    you manage the same actions much quicker on condition of using
    keyboard.

---------------------------------------------------------------------------
Actual Title Buttons 2.8 (31.08.2004)
---------------------------------------------------------------------------
[+] Added a "Resize Window" action. A Resize Window option lets you set
    the size of any selected application window to have it always opened at
    the size you want. A Resize Window tool is extremely useful for website
    designers. They can quickly see how their web project looks like in
    different resolutions by flicking through default window sizes or
    setting any unique window size on their own.
[+] Added command line support.
[+] Added a "silent" installation option.
[+] Added Dutch language.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.7 (28.07.2004)
---------------------------------------------------------------------------
[+] Added an "Align window" action. Now the user may get any application
    window aligned with any of the 9 positions on the desktop: upper-left,
    upper-central, upper-right, etc.
[+] Added a new "Temporarily stop program" option to a context menu.
[+] Now supports Mozilla FireFox and Netscape browser.
[*] Some small bugs were fixed.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.6 (26.05.2004)
---------------------------------------------------------------------------
[+] Added tooltips for additional caption buttons.
[+] Added Danish and Russian languages.
[+] Added a description field for Window Rule.
[+] Added commands for moving windows' rules up and down, in order to make
    them easier to find.
[*] Optimized memory usage and increased execution speed.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.5 (27.10.2003)
---------------------------------------------------------------------------
[+] Added a context menu for the "Make Transparent" title button. Now you
    can select a different transparency level for any window on the fly,
    while it is open!
[+] Added a new "Send to Bottom" title button.
[+] Added a "Shift Buttons" option to use when adding title buttons.
    This allows you to shift the buttons you add so they will not overlap
    or hide the existing program buttons at the top margin of your program.
[+] Added a command for sorting windows rules by name, in order to make
    the rules easier to find.

---------------------------------------------------------------------------
Actual Title Buttons 2.0 (12.03.2003)
---------------------------------------------------------------------------
[!] Added "Default Window Rule." The Default Window Rule now lets you
    define and apply new options to ALL windows in your system. The
    ability to apply different options to individual windows still
    exists.
[+] Added a "Program" choice for applying individual
    settings to selected windows.
[+] Added a dialog for choosing a window among existing windows to apply
    individual settings.
[*] Improved Windows XP Visual Styles support for new title buttons.
[*] Replaced rollup/unroll engine with newer, faster engine.

---------------------------------------------------------------------------
Actual Title Buttons 1.9 (12.03.2003)
---------------------------------------------------------------------------
[+] Added a new "Rollup/Unroll Window" title button. Roll up windows so only
    the title bars remain visible.
[+] Added a right-click context menu for tray icons with two commands:
    Restore Window and Close Window.
[+] Added German language.

---------------------------------------------------------------------------
Actual Title Buttons 1.8 (16.12.2002)
---------------------------------------------------------------------------
[+] Added French and Turkish languages.
[-] Some small bugs were fixed.
[*] Some cosmetical changes in the user interface.

---------------------------------------------------------------------------
Actual Title Buttons 1.7 (11.11.2002)
---------------------------------------------------------------------------
[!] Added multilingual support.
[+] Added English, Spanish, Italian, Portuguese, Swedish, Catalan and
    Polish languages.
[*] Highly increase program's launching speed.

---------------------------------------------------------------------------
Actual Title Buttons 1.6 (07.10.2002)
---------------------------------------------------------------------------
[+] Added a "Make Transparent" title button.
[+] Added an option "Enable\disable tray icon".
[+] Added an option "Load at startup".

---------------------------------------------------------------------------
Actual Title Buttons 1.5 (26.08.2002)
---------------------------------------------------------------------------
[+] Added an option "Save state of Stay On Top" button and restore it at next
    time.
[*] Improved windows enhancement techniques.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 1.4 (25.07.2002)
---------------------------------------------------------------------------
[*] Improved windows enhancement techniques.
[*] Maintenance release.

---------------------------------------------------------------------------
Actual Title Buttons 1.3 (17.06.2002)
---------------------------------------------------------------------------
[!] Support of Unicode Windows (Windows Explorer, Internet Explorer, etc.).
[!] Support of MS-DOS prompt windows under Windows 95/98/ME.
[+] Added an option "Permanent tray icon".

---------------------------------------------------------------------------
Actual Title Buttons 1.2 (26.05.2002)
---------------------------------------------------------------------------
[+] Added a "Make Transparent" title button.
[+] Full support of Windows XP themes.
[*] Improved windows enhancement techniques.

---------------------------------------------------------------------------
Actual Title Buttons 1.1 (14.05.2002)
---------------------------------------------------------------------------
[+] Added an option "Use large icon" for a "Minimize to Desktop Edge" action
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 1.0 (01.05.2002)
---------------------------------------------------------------------------
[!] Initial Release

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: July 28, 2005.


Actual Tools: User Interface

User Interface

All the power of Actual Tools utilities is available through the interface of its comfortable and intuitive Configuration Module. The Configuration Module allows you to control all the windows in your PC easily, conveniently and exactly as you wish. So let's take a look at the details:

Note This help file includes descriptions of all the features found in all of our Actual Tools software products. In each description, we will list the products that have the corresponding features.

Main configuration window

Configuration Module has one main window (see the figure above) consisting of three areas:

  • Menu bar/Toolbar (1);
  • the left sub-window which is called Navigation Window (2) and contains the Window Rules tree;
  • the right sub-window which is called Information Window (3) and contains configuration information related to the item selected in the Window Rules tree. The type of information in the Information Window (3) depends on the Actual Tools utility you are configuring.
Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: July 22, 2005.


Actual Tools: User Interface: Menu Bar and Toolbar

Menu Bar/Toolbar

Menu Bar and Toolbar in the Actual Tools Configuration Module are similar to those of other Windows applications and provide access to the application's features.

Menu bar

Menu Bar has four menus. Each menu has its own list of commands:

  • File menu
    • Save - saves all your configuration settings.
    • Exit - closes the Configuration module.
  • Window Rule menu
    • Add Rule - adds a new window rule to the list of existing ones. A new rule has the default name <Window Rule n> (e.g. "Window Rule 1", "Window Rule 2", etc.).
    • Delete Rule - deletes the selected rule from the list.
    • Move Rule Up - changes the position of the rule in the list (it is placed upper than before).
    • Move Rule Down - places the rule lower.
    • Sort Ascending - sorts the list of rules in ascending alphabetical order of their names.
    • Sort Descending - sorts the list of rules in descending alphabetical order of their names.
    • Enable All Rules - enables all rules in the list.
    • Disable All Rules - disables all rules in the list.
  • Actions menu
    • Launch <utility name> - launches the corresponding Actual Tools utility.
    • Stop <utility name> - stops the corresponding Actual Tools utility.
      This is convenient when you want to change a utility's configuration. You can stop the utility, make changes in its configuration, save the changesand then launch the utility again - without closing the Configuration Module!
    • Options... - opens the Options dialog.
  • Help menu
    • Contents - the manual how to use the program.
    • Actual Tools Home Page - opens an Internet browser window and directs you to the Actual Tools site http://www.ActualTools.com/. Learn more about our company and our products here.
    • Actual <utility name> Home Page - opens an Internet browser window and directs you to the corresponding utility home page.
    • Information About Updates... - opens the E-mail notifications dialog.
    • Tell a Friend... - opens the "Tell a Friend" dialog.
    • Enter Registration Code - opens the Enter Registration Code dialog.
    • Order Full Version Now - opens an Internet browser window and directs you to order page of the corresponding utility.
    • About... - opens the About dialog with the basic information about the product.

Toolbar

Toolbar contains the signs that double the commands from Menu Bar that is you can make the same operations just by single clicking of the mouse.


Actual Tools: User Interface: Navigation Window

Navigation Window

Use the Navigation Window to select the desired window rule from the Window Rules tree to customize any window (see Information Window).

You can select a window rule by:

  • clicking the left mouse button on its name.
  • using the cursor keys.
  • typing a few of the first letters of a window rule's name to jump to it.

The rules tree has two lists: Window Rules and Default Window Rule.

Window Rules

Window Rules list shows all window rules created to adjust the behavior of a certain window class or application, for example, the window rule to change the appearance of the Internet Explorer window.

You can collapse or expand the window rules list by clicking the plus/minus sign to the left of its name. Every rule in this list has a checkbox oo the left of its name. Enable or disable a window rule by checking or unchecking its checkbox.

Enabling a window rule means that every new window of an appropriate class or application will will be covered by the Actual Tools utility, for example, new title buttons, a certain level of transparency etc.).

Disabling a window rule means that the Actual Tools utility will not affect any window that matches this rule. In other words, these windows will have their default appearance and behavior. This feature may be used if you

  • encounter compatibility problems between the Actual Tools utility and a particular window class.
  • wish to turn the desired behavior off without deleting the corresponding window rule.

Default Window Rule

This list is used to adjust the behavior of any window that has no window rule in the first list. This feature is called the Default Window Rule. Please read our Default Window Rule article to find more information about this list.


Actual Tools: User Interface: Information Window

Information Window

Information Window contains information related to the item selected in the Navigation Window. It allows you to perform all configuration tasks for the desired window class or application.

In most cases, Information Window has three option sets, as shown in the figure below:

Window rule

Window rule options set (1) includes the rule's name and a checkbox for enabling/disabling the rule.

We suggest that you name each rule after application it is intended to affect. This avoids mixups and altering the wrong rule.

The checkbox on the left of the rule's name allows you to turn off the rule temporarily without removing it from the rules list.

Target window

Target window options set (2) includes visual controls to select one of three methods used by the Actual Tools utility to determine the target window for the rule: by window class, by window caption and by program's name. You can turn on the desired method or combination of them by checking the appropriate checkbox on the left of the method's name.

Window Class

Window class is the most accurate method to determine the target window. To use it, you must first know the exact name of the window class used in the internal Microsoft Windows structures. You probably do not know such names, but Actual Tools utility provides two magic applets to identify them for you and that help you complete the "Window class" field with the right value: Window Selector and Window Finder. These two useful applets also fill the other target window fields: "Window caption" and "Program".

Window Caption

Window caption is the method that applies to document-oriented applications like Internet Explorer, Micorosoft Office applications, and others) containing the name of the currently loaded document in their captions.

If you want to apply a rule's settings to some specific document, type the full caption string, including the application and document name. Then select the Exact Match checkbox. We do recommend that you to use the two magic applets mentioned above instead. They provide for easy, accurate and automatic filling of this field.

If you want to affect a set of windows you can type application's name and select the Substring Match checking. Note that the substring you type may be in the middle of the caption or at its end. For example, try to create a rule and type "xplorer" in the "Window caption" field).

The "Window caption" method can also be used when you try to add some additional functionality to standard Microsoft Windows dialogs or menus. These dialogs are used in verious applications and always have the same class. Because of that, the previous "Windows Class" method alone will not work. The Window Caption Method should be used in combination with the Window Class method. In some rare cases, the Window Caption Method may need to be used with the Program's Name Method (below).

Program

Program's name - this method can be used if you know the exact location of the program's main executable file. If so, you can type its name with the full path or click the adjacent Folder button and select the program's main executable file using the standard Windows dialog (or you can use the magic applets).

Note If you turn on more than one determining method all specified parameters must match their actual values, otherwise the window rule will not work. For example, if you specify the "Program" option as "C:\WINDOWS\notepad.exe", "Window caption" option as "Wordpad" and turn on the "Window caption" and the "Program" checkboxes - your window rule won't work because of the disagreement of determining methods (selecting notepad.exe and then Wordpad.).

Window Functions

Window functions options set (3) includes up to six property sheets for each additional functionality. Their number and composition vary from one product to another. In the best case (if you're using Actual Window Manager) they are:

  • Title Buttons property sheet
  • Window Menu property sheet
  • Minimizing Options property sheet
  • Transparency Effect property sheet
  • Window Actions property sheet
  • Window Rollup property sheet

Important! Configuration changes will not take effect until you save them! Don't forget about this! Use the "File/Save" menu bar command or press the "Save" button on the toolbar to store all your changes and let them work.


Actual Tools: User Interface: Window Finder

Window Finder

Window Finder is a small easy-to-use magic applet that automatically fills the Target Window options with correct values. It looks like a small gunsight picture on the Target Window panel. To assign necessary values to your window rule's Target Window options, follow the steps below:

  • open the desired window and leave it visible on the desktop
  • place the mouse pointer over this picture Window Finder
  • press and hold the left mouse button (your mouse cursor will look like this Window Finder Cursor)
  • move this cursor (without releasing the left mouse button) over the desired window and release the left mouse button
  • return to the Actual Tools Configuration module and check the Target Window options: they will be filled with appropriate values

You can also use the Window Selector magic applet to select the required window.


Actual Tools: User Interface: Window Selector

Window Selector

Window Selector is a small easy-to-use magic applet that automatically fills the Target Window options with correct values. It is activated by clicking the Select window from list button on the Target Window panel. Its view is shown in the figure below:

Window Selector Window

There is a list of currently running windows (some of them may be minimized) consisting of four columns:

  • Window title - current window title string. It is defined by window application and often contains the name of the application and, perhaps, some related information (e.g. document name, current program state etc.).
  • Program - name of the application's executable file.
  • Path - full path to the program.
  • Window class - the name of a window class as it is used by Microsoft Windows. All windows sharing the same window class usually have the same behavior and abilities.

To assign necessary values to your window rule's Target Window options, follow the steps below:

  • open the desired window
  • run Window Selector
  • find your window in the window list and select it by clicking the left mouse button or using the cursor keys
  • click the "OK" button
  • check the Target Window options: they will be filled with appropriate values

To be sure you selected the right window, you can use the "Flash window" button:

  • Be sure the window you wish to configure is open.
  • Select the window in the list.
  • Click the "Flash Window button.
  • The selected window's border will start flashing. Of course, the selected window must be visible.

You can also use the Window Finder magic applet to select a required window.


Actual Tools: User Interface: Default Window Rule

Default Window Rule

Default Window Rule allows you to adjust the behavior of any window that has no corresponding window rule in the Window Rules list. In the simplest case, you can use this feature to configure all of your system windows, without creating and adjusting any particular Window Rules. And if you want a different appearance for a certain window class, you can create a custom window rule in the first list using the "Add rule" command which you can then customize your needs.

In other words, Default Window Rule lets you to add as a default additional functionality to every new window appearing in your system.

A Default Window Rule is configured in the same way as any other window rule in the Window Rules list (see Information Window), but unlike others it has no name and no "Target window" options. These are unnecessary for the Default Window Rule because it uniquely applies to all windows. Like other Window Rules; however a Default Window Rule has all of the "Window functions" options.

Excluded Windows

The Default Window Rule node also has a feature called Excluded Windows.

Exclude Windows operates differently from Window Rules. Exclude Windows is a list of window classes/applications which are never affected by settings of the Default Window Rule.

Any item in the Exclude Windows list acts like a Window Rule without the "Window functions" options. You can specify the name of an Exclude Windows "rule" and enable/disable it using the checkbox found to the left of its name.

Note a reversed feature: Uncheck an Exclude Windows rule it if you want its window to follow Default Window Rule settings. On the other hand, check an Exclude Windows rule so that window will ignore instructions that apply by Default Window Rule.

You will still need to select a target window determining method. For more information about how to select a target window refer to the "Target window" options description.


Actual Tools: User Interface: Window Functions

Window Functions

Window functions includes up to six property sheets for each additional functionality. Their number and composition vary from one product to another. In the best case (if you're using Actual Window Manager) they are:

  • Title Buttons property sheet
  • Window Menu property sheet
  • Minimizing Options property sheet
  • Transparency Effect property sheet
  • Window Actions property sheet
  • Window Rollup property sheet


Actual Tools: User Interface: Title Buttons

Title Buttons

Title Buttons is a part of functionality that adds some new title buttons to the standard Standard Title Buttons: Minimize/Restore/Close Minimize, Maximize/Restore and Close buttons. These new buttons are:

  • Minimize To Tray button Minimize to tray - sends the desired window to Microsoft Windows system tray (special area on the taskbar, near the system clock), the minimized window looks like a small icon there. Clicking it restores the window to its original size and places on the desktop and removes the icon from the tray. This feature lets you save your taskbar space when you have many background applications launched. Send them to the system tray and free your taskbar for your actual work only.
  • Roll Up button Roll up/Unroll - hides the desired window leaving visible its title only. Click this button again to restore the window to its original size. It's handy when you want to look at the window underlying the current one. In some cases this feature is also a good substitute for minimizing windows to taskbar/tray. Just roll them up and view what you want.
  • Stay On Top button Stay on top - makes the desired window always be on top of others. In other words, it will never be hidden by other windows. This may be useful for some monitoring applications or windows containing information at hand. Put them on top and you'll never miss any important event. Click this button again to returnthe window to its normal state.
  • Send To Bottom button Send to bottom - sends the desired window to the bottom of others (in some sense, this function is opposite to the previous one). In other words, this button hides a window under other windows, but leaves it on the desktop.
  • Make Transparent button Make transparent - makes the desired window transparent. Transparency varies from 0% (opaque) to 100% (transparent): the larger is the value, the more transparent the window is. Click this button one more time to restore the window's original transparency settings.

    Transparency Context Menu

    Right-clicking this button displays a context menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
    Note This feature works only with the new generation Microsoft operation systems such as Windows 2000 and Windows XP.
    Note Transparency level 100% means that the window becomes totally invisible, so try it with care!

Title Buttons Property Sheet

Title Buttons property sheet defines, which buttons (and their related functions) will be added to the window's title, and also tunes up some related options.

Title Buttons Options

Minimize to tray - mark this checkbox to add the "Minimize To Tray" button to the desired window title. There is also a related checkbox named Permanent tray icon - check it to make the tray icon to be permanently visible, even if you restore the window to its normal size. This little advance of the main function allows you to minimize/restore the desired window by just clicking its tray icon. So you can mark this checkbox and clear the previous one: this results in creating a permanent tray icon of the window without adding a button to its title. Choose the best for your own!

Roll up/Unroll - mark this checkbox to add the "Roll up/Unroll" button to the desired window title.

Stay on Top - mark this checkbox to add the "Stay on top" button to the desired window title. There is also a related checkbox named Save state and restore the saved state on the next time that, if checked, saves the current state of the window - On Top or Normal - to the Actual Tools internal database, before the window is closed, and restores this state next time when this window appears.

Send to Bottom - mark this checkbox to add the "Send to bottom" button to the desired window title.

Make transparent - mark this checkbox to add the "Make transparent" button to the desired window title. There are also two related visual controls that allow you to set the necessary level of transparency, which will be set, when you click this button: value selector and slider. You can set the value by typing it, clicking the arrows or moving the slider.

Shift buttons visual control lets you to precisely place the additional buttons in the window's title relatively to the standard buttons. Although Actual Tools tries to detect the number of standard buttons (and the appropriate shift value) automatically, in some rare cases (e.g. particular application has its own additional buttons) it may be useful to set this value manually. The shift value can be a positive (shift to the left) or a negative (shift to the right) integer number, zero means that desired window has only three standard buttons.
Note Use the negative shift values with care, the incorrect value may result in overlapping the standard title buttons, so you won't be able to use them! And, in general, use the Shift button feature only if you encounter a problem with automatic placing, otherwise it's better to leave this option unchanged.

Implemented in: Actual Window Manager, Actual Title Buttons.


Actual Tools: User Interface: Window Menu

Window Menu

Window Menu is a part of functionality that adds some window menu commands to a standard window menu. (Standard window menu appears when you click the left mouse button on the icon on the extreme left-hand side of the window title, or right-click the window title or its name on the taskbar.) These new commands are:

New window menu commands

  • Minimize to tray - sends the desired window to Microsoft Windows system tray (special area of the taskbar near the system clock), the minimized window looks like a small icon there. Clicking it restores the window to its original size and places on the desktop and removes the icon from the tray. This feature lets you save your taskbar space when you have many background applications launched. Send them to the system tray and free your taskbar for your actual work only.
  • Roll up/Unroll - hides the desired window leaving visible its title only. Select this command again to restore the window to its original size. It's handy when you want to look at the window underlying the current one. In some cases this feature is also a good substitute for minimizing windows to taskbar/tray. Just roll them up and view what you want.
  • Stay on top - makes the desired window always stay on top of other ones. In other words, it will never be hidden by other windows. This may be useful for some monitoring applications or windows containing information at hand. Put them on top and you'll never miss any important event. Select this command again to restore the window to its normal size.
  • Transparency - makes the desired window transparent. Transparency varies from 0% (opaque) to 100% (transparent): the larger is the value, the more transparent the window is.

    Transparency Context Menu

    This command has a submenu that allows you to set the pre-configured level of transparency, remove the transparency effect, or set one of the pre-defined levels, from 0% to 100% by 10% increments (i.e. 0%, 10%, 20%, and so on). It's a very gorgeous effect, try it - and you'll like it very much.
    Note This feature works only with the new generation Microsoft operation systems such as Windows 2000 and Windows XP.
    Note Transparency level 100% means that the window becomes totally invisible, so try it with care!
  • Priority - allows changing the desired window's program priority. This command has a submenu that allows you to set the one of the pre-defined levels of the window's program priority: Low, Below Normal, Normal, Above Normal, High and Real-Time. Program priority is internal term of Microsoft Windows, it means how much processor time the particular program will consume. So, using this feature you can precisely tweak the run-time of your applications on the fly.
    Note If you are not an experienced user and don't fully understand the program priority concept, we suggest using this feature with extreme care, because incompetent actions can result in freezing your system!

Window Menu Property Sheet

Window Menu property sheet defines, which of the abovelisted commands (and their related functions) will be added to the standard window menu, and also tunes some related options.

Window Menu Options

Minimize to tray - mark this checkbox to add the "Minimize To Tray" command to the desired window menu. There is also a related checkbox named Permanent tray icon - check it to make the tray icon to be permanently visible, even if you restore the window to its normal size. This little advance of the main function allows you to minimize/restore the desired window by just clicking its tray icon. So you can mark this checkbox and clear the previous one: this results in creating a permanent tray icon of the window without adding a button to its title. Choose the best for your own!

Roll up/Unroll - mark this checkbox to add the "Roll up/Unroll" command to the desired window menu.

Stay on Top - mark this checkbox to add the "Stay on top" command to the desired window menu. There is also a related checkbox named Save state and restore the saved state on the next time that, if checked, saves the current state of the window - On Top or Normal - to the Actual Tools internal database, before the window is closed, and restores this state next time when this window appears.

Make transparent - mark this checkbox to add the "Make transparent" button to the desired window title. There are also two related visual controls that allow you to set the necessary level of transparency, which will be set, when you click this button: value selector and slider. You can set the value by typing it, clicking the arrows or moving the slider.

Change program priority - mark this checkbox to add the "Priority" command to the desired window menu.

Implemented in: Actual Window Manager, Actual Window Menu.


Actual Tools: User Interface: Minimizing Options

Minimizing Options

Minimizing Options is a part of functionality that redefines the behavior of the standard Minimize title button, which minimizes windows to the taskbar only. Instead of it you can choose one of the two advanced minimizing techniques. They are:

  • Minimizing to tray - sends the desired window to the Microsoft Windows system tray (special area of the taskbar near the system clock), the minimized window looks like a small icon there. Clicking it restores the window to its original size and places on the desktop and removes the icon from the tray.
  • Minimizing to screen edge - turns the desired window into a small (or large) icon and places it to the edge of the screen. Clicking it restores the window to its original size, places it on the desktop and removes the icon.
This is good for background applications, at-hand tools, or, in general, any window that you have no need to see all the time when it works. Minimize all such windows to the system tray or to the screen edge and bring them up in a moment when you need, without loading the program again. This way you can free your taskbar for your actual work only.

Minimizing Options Property Sheet

Minimizing options property sheet defines, which of the abovelisted techniques will override the default minimizing, and also tunes some related options.

Minimize to tray - select this radio button to turn on the "Minimizing to tray" advanced technique for the desired window. There is also a related checkbox named Permanent tray icon - check it to make the tray icon to be permanently visible, even if you restore the window to its normal size. This little advance of the main function allows you to minimize/restore the desired window by just clicking its tray icon.

Minimize to screen edge - select this radio button to turn on the "Minimizing to screen edge" advanced technique for the desired window. There is also a related checkbox named Use large icon that, if checked, turns the window into a large icon instead of the small one, when it's minimized. Large icons look better and they are much easier to find on the desktop.

Don't use minimizing options - select this radiobutton to restore the default minimizing. You can choose this option if you encounter a problem with advanced techniques.

Also, there are some additional options that enable you to minimize windows automatically when they lose focus. So you can just click anywhere outside the window and it will disappear, using one of the selected minimizing techniques. Minimize window when it is deactivated - mark this checkbox to turn this feature on, and the Delay before minimize checkbox - to specify the delay value (in milliseconds).

Implemented in: Actual Window Manager, Actual Window Minimizer.


Actual Tools: User Interface: Transparent Effect

Transparency Effect

Transparency Effect is a part of functionality that really opens a new dimension in controlling your windows: it enables you to make the windows see-through by setting the required level of transparency for any particular window in your system. Transparency varies from 0% (opaque) to 100% (transparent): the larger is the value, the more transparent the window is.
Note This feature works only with the new generation Microsoft operation systems such as Windows 2000 and Windows XP.

Transparency Effect Property Sheet

Transparency Effect property sheet defines the required level of transparency for the desired window and also tunes some related options.

Transparency Effect Options

Enable transparency effect - mark this checkbox to make all newly appeared windows of an appropriate class transparent and to provide access to other transparency-related options.

Transparency level edit box and slider allow you to set the necessary level of transparency by typing it, clicking the arrows or moving the slider.
Note Transparency level 100% means that the window becomes totally invisible, so try it with care!

Set transparency only when window is not active - mark this checkbox to turn on the mode that makes a window transparent only when it loses focus.

Set transparency so the window becomes transparent while being moved/dragged - mark this checkbox to turn on the mode that makes a window transparent only when it is being moved/dragged. It's a so-called mode of conditionally temporal transparency because it turns the transparency on, only if a certain condition ("window is being moved") is met, and at the moment the condition is failed, it turns the transparency off.

Set transparency so the window becomes transparent while being resized - mark this checkbox to turn on the mode that makes a window transparent only when it is being resized. It's also the mode of conditionally temporal transparency (condition sounds like "window is being resized").

Toggle transparent/opaque window state by double click on title bar - mark this checkbox to redefine the standard behavior of double-clicking a window's title bar (by default, it maximizes/restores the window). Using this, you can toggle the transparency of a window by double-clicking its title.

Ghost mode will be active whenever the window becomes transparent mark this checkbox to turn on the ghost mode for the desired window when it becomes transparent. Ghost mode is one of the most impressive and wonderful features implemented in Actual Tools. In the ghost mode a window passes through all mouse clicks and keypresses even when it is on top of other windows. Hence you can turn, for example, your Media Player into the ghost mode and watch movies when working in background! None of your actions will affect the ghost mode window itself, you can access it through the taskbar only.
Note If one (or all) of the above-mentioned modes of conditionally temporal transparency is turned on, the ghost mode won't work.

Implemented in: Actual Window Manager, Actual Transparent Window.


Actual Tools: User Interface: Window Actions

Window Actions

Window Actions is a part of functionality that brings you full automatic control displaying and hiding, moving and sizing your windows, or even changing the default program priority to accelerate its performance.

Window Actions Property Sheet

Window Actions property sheet provides you various options to define exactly the behavior and appearance of the desired window.

Window Actions Options

Close window automatically - this checkbox enables the Actual Tools utility to terminate windows of a certain class when they appear. This feature is useful for killing those annoying pop-ups during Internet surfing. Just define the correct target window, and all those time-stealing windows won't be a problem.

Run mode - this checkbox lets you select a required mode from the three available ones: Normal, Maximized, Minimized. If you select Normal, the window will appear in its default view. If you select Maximized, the window will cover the entire desktop. If you select Minimized, the window will hide automatically (note that you can use this mode in combination with Minimizing Options to hide your window not only to the taskbar but also to system tray or to the screen edge).

Save window size and position checkbox gives you the possibility to have all your windows in their appropriate places and with their appropriate sizes whenever you open them. This checkbox lets you specify which of the two main window properties you want to save between sessions. Save position - mark this checkbox to save the window position, and the Save size checkbox - to save its size.

Stay on Top checkbox, if checked, brings the desired window in front of other ones and doesn't allow them to overlap it. This may be useful for some monitoring applications or windows containing information at hand.

Prevent accidental close of window - mark this checkbox to let the Actual Tools utility to monitor and intercept your attempts to close a certain window. If this option is enabled and you try to close the window by clicking the Close button on its title or by pressing the Alt-F4 hotkey, an additional request dialog will appear containing "Are you sure you want to close window?" question and two buttons: "Yes" and "No". Because of this, you can't close this window accidentally and, potentially, won't lose any important information.

Change window title - mark this checkbox to makes available the New window title edit box where you can type any string that will be placed in the desired window's title.

Change program priority - mark this checkbox to make available the New priority combobox where you can choose one of the pre-defined levels of the window's program priority: Low, Below Normal, Normal, Above Normal, High and Real-Time. Program priority is internal term of Microsoft Windows, it means how much processor time the particular program will consume. So, using this feature you can precisely tweak the run-time of your applications on the fly.
Note If you are not an experienced user and don't fully understand the program priority concept, we suggest using this feature with extreme care, because incompetent actions can result in freezing your system!

Implemented in: Actual Window Manager, Actual Window Guard.


Actual Tools: User Interface: Window Rollup

Window Rollup

Window Rollup is a part of functionality that gives you another way to hide your windows, different from closing or minimizing them. Rolling up means that the entire window disappears from the desktop but its title bar remains visible. Thus you can see that window is still present but it takes much less place on the screen, and its title bar remains fully active: you can move it, minimize it, bring up the window menu, or close the window.

Window Rollup Property Sheet

Window Rollup property sheet defines the way of rolling up and also tunes some related options.

Window Rollup Options

Enable window rollup - mark this checkbox to turn the Rollup feature on and set its parameters.

Manual control/Automatic control radio buttons allow you to select the Window Rollup operation mode.

Manual control means that you will roll up the desired window yourself by double-clicking its title (so, this manner of working redefines the standard behavior of double-clicking on window's title which normally maximizes the window).

Automatic control passes the rollup control to the Actual Tools utility. The desired window will be rolled up automatically when it becomes inactive, or loses focus. And it'll be unrolled automatically when you activate it again. So there are two related options to set the delay before automatic rollup and the delay before automatic unroll. Delay before rollup and Delay before unroll - these checkboxes allow you to set the appropriate delay values (in milliseconds).

Also there's an additional option for automatic windows' rolling/unrolling. It enables you to temporarily unroll the previously rolled window just by placing the mouse cursor over its title. And when you move the mouse cursor out of the title, the window will be rolled up again. This option is turned on by the appropriate checkbox, which also allows you to set the delay before unroll and the delay before rollup (in milliseconds). Setting these delays to non-zero values prevents you from unrolling windows accidentally when you move your mouse.

Implemented in: Actual Window Manager, Actual Window Rollup.


Actual Tools: User Interface: Dialogs

Dialogs

  • Options Dialog
  • Notifications Dialog


Actual Tools: User Interface: Options Dialog

Options Dialog

Options dialog lets you configure the appearance and behavior of your Actual Tools utility.

The Options Dialog contains the following options:

  • Load at startup - mark this checkbox if you want Actual Tools to launch automatically on Microsoft Windows startup. This gains you all the advanced Actual Tools functionality at the beginning of your work, without your taking additional actions.
  • Enable tray icon - mark this checkbox to place in the system tray (special area on the taskbar, near the system clock) a small icon to show that the Actual Tools utility is running.

    Command Center Context Menu

    Then you can click the right mouse button on this icon to get the context menu with some basic commands to control the utility (shut down, open the help file, start the Configuration Module). You can double-click the left mouse button on this icon to start the Configuration Module.
  • Language drop-down box allows you to select your native language, if listed, for Actual Tools messages and interface texts. For now, the Actual Tools products support the following languages: English, German, Spanish, French, Italian, Portuguese, Catalan, Swedish, Turkish and Polish.
    Note You must restart the Actual Tools utility and/or its Configuration module for a language change to take effect.


Actual Tools: User Interface: Notifications Dialog

Notifications Dialog

Notifications dialog is a special dialog window that allows you to receive notifications about updates via e-mail, if you have subscribed to the Actual Tools newsletter.

To subscribe, just select the Subscribe to newsletter radio button in this dialog, click the OK button and send the automatically-created e-mail message (don't make any changes to it) - and you'll receive notifications about new releases, contests and special discount offers for Actual Tools products.

If you want to stop receiving the Actual Tools news, then select the Unsubscribe from newsletter radio button and send the automatically-created e-mail message (don't make any changes to it). But if you do this, you won't receive notifications about new releases, contests or special discount offers for Actual Tools products!


Actual Title Buttons: How to...

How to:

  • Create new Window Rule
  • Assign specific window to Window Rule
  • Disable or Enable Window Rule
  • Delete Window Rule
  • Save configuration's changes
  • Uninstall program
  • Register program


Actual Title Buttons: How to Create new Window Rule

How to Create new Window Rule

What is a "Window Rule"?

A Window Rule is a program that you have set up to behave a certain way. These programs are listed on the left of main window of configuration. You can add almost any program to this list, and then configure it to behave in a variety of ways and with a variety of window management features. You can permanently save your changes and then change them as often as you wish.

Use the following steps to create a new Window Rule for a specific program

  • First, look and see if there is already a Window Rule listed for your program. If there is, and it has a check in the box, you can change the rule by clicking on its name. The Configuration Menu appears.
  • If no check is in the box, check it and you can then configure that program.
  • If the program is not listed at all, then click [image] the "Create Window" Rule button on the toolbar or select the Create Rule command from the Window Rule menu. Either way gets the same results.

Now define which window this Window Rule will influence. Be sure to carefully read the description of the procedure of assigning a specific window to the Window Rule.

Finally, select the desired options:

  • Title Buttons:
    Minimize to System Tray - the window minimizes not to the desktop, as usual, but to the System Tray, near the System Clock.
    Stay on Top - the window always stays on top of all other windows.
    Make Transparent - apply transparency effect from 0% (solid) to 100% (fully transparent) rate in Windows 2000/XP.
    Rollup\Unroll - minimize window so only the title bars remain visible.
  • Minimizing options:
    • Minimize to System Tray - the window minimizes not to the desktop, as usual, but to the System Tray, near the System Clock.
    • Minimize At Screen Edge - the window minimizes to a small icon at the edge of the screen.
      At first use, the window will minimize to upper-left corner of your screen. You can then move this icon to any place of your desktop. This icon always stays on top, so, you can easily access it.
  • Transparency effect:
    Select the desired transparency level from 0% (solid) to 100% (fully transparent). Transparency effect works only in Windows 2000 or XP and not in Windows 95, 98, ME or NT 4.0.
  • Windows actions:
    • Close window automatically - automatically closes the window on it startup.
    • Run Mode - select this to set how the window will look immediately after startup: Maximized, Minimized or Normal mode.
    • Save window's size and position - Save the size and position when window is closed and restore theirs when window is opened at next time.
    • Stay On Top - brings the window to the top of the desktop and doesn't allow other windows to hide it.
    • Prevent accidental close of window - When you click the Close (X) button, a dialog window will ask "Are you sure you want to close the window?" If you choose Yes, the window will close. If you choose No, the window remain open.
  • Window Rollup:
    • Manual control - Click on a window title bar and it becomes a title bar; Click on the title bar again and restore it to an open window!
    • Automatic Control - Selected windows will automatically roll up into title bars whenever they become inactive. The rolled-up title bars will then automatically unroll when you want to work with them again!

We recommend you give every new Window Rule an informative name so you can find and identify this rule among others on the list.

Finally, and very important: You need to go to the File Menu and push "Save" or select the diskette and press it in order to see your changes and then to save them. Otherwise, your new rule and any settings will be lost!


Actual Title Buttons: How to Assign a Specific Window to the Window Rule

How to Assign a Specific Window to the Window Rule

A new "Window Rule" is simply a a new program you add to the list of programs that have new visual features.

Actual Title Buttons needs you to identify the programs you want to add to the existing list.

To identify the new programs, you use the "Finder Tool". The Finder Tool looks like a little rotating fan or a target marker.

  1. With Actual Title Buttons still open, open a program that you want to have Actual Title Buttons visual features.
  2. Now drag the Finder Tool [image] over the title bar at the top of that program's window to select it, then release the mouse button.
  3. Actual Title Buttons now knows that this is the program you plan to configure.
  4. Type in the name of the program in the top text box marked "Windows Rule."
  5. Now look in the "Window Class" window. If it has provided some words, or if the down arrow makes words available, then check the "Window Class."
  6. Now look at the window marked "Window Caption." If it shows the exact same caption as on the title bar of the open new program, check it and also select "exact match."
  7. Also try the little down arrow on the window to see if an exact match is available there.
  8. If the title bar of the open program shows a partial match with the words in the "Window Caption" window, then select "substring match."
  9. You can also type in the correct words in the "Window Caption" window and then select "exact match" or "substring match."
  10. Note: Checking the box and using "Window Class" is better than checking the box and using "Window Caption," if there is a choice. But either will work.
  11. Save your work.
  12. OK. Now you have identified your program to Actual Title Buttons and it is time to select the features you want.
  13. Close the program you just configured and reopen it. Do you like the way the features work that you chose for this program? If so, great! If not, just change them to other settings and save your work!

That's it! You're done! Experiment all you want until each program has the Actual Title Buttons features that you want. Just be sure to save your work each time!


Actual Title Buttons: How to Disable or Enable Window Rule

How to Disable or Enable Window Rule

If you don't want permanently delete a Window Rule, but need to temporarily exclude it, you can simply disable the rule.

There are two ways to disable Window Rule:

  • Uncheck mark near Window Rule treeview entry.
  • Uncheck mark near Window Rule name at right panel.

At any moment you can enable Window Rule. Simply check mark near Window Rule for this.

Finally, and very important: You need to go to the File Menu and push "Save" or select the diskette and press it in order to see your changes and then to save them. Otherwise, your new rule and any settings will be lost!


Actual Title Buttons: How to Delete Window Rule

How to Delete Window Rule

If you only want to temporarily exclude Window rule, you can simply disable it. Thanks to this you can enable Window Rule at any moment without need to create Window Rule again.

There are two ways to delete Window Rule:

  • Click [image] the Delete Window Rule button on the toolbar.
  • Select the Delete Rule command from the Window Rule menu.

Finally, and very important: You need to go to the File Menu and push "Save" or select the diskette and press it in order to see your changes and then to save them. Otherwise, your new rule and any settings will be lost!


Actual Title Buttons: How to Save configuration's changes

How to Save configuration's changes

In order to your changes take effect you need to save it.

There are two ways to save configuration:

  • Click [image] the Save button on the toolbar.
  • Select the Save button from the File menu.


Actual Title Buttons: How to Uninstall program

How to Uninstall program

There are two ways to uninstall Actual Title Buttons should you wish to do so.

Control Panel

  1. Open the Windows Control Panel.
  2. Double click Add/Remove Programs.
  3. Double click the Actual Title Buttons list box entry.
  4. Follow the instructions in the Uninstall Wizard.

Start Menu

  1. Click Start Button.
  2. Select Programs.
  3. Select Actual Title Buttons.
  4. Click Uninstall Actual Title Buttons.
  5. Follow the instructions in the Uninstall Wizard.


Actual Title Buttons: Registration

Registration

For unrestricted use you must register your copy of Actual Title Buttons. Please read the purchasing information.

By registering you acquire such benefits as

  • Your name will be shown at About dialog.
  • Registration reminder will never popup again.
  • Removal of the 60 days trial limitation.
  • Free upgrades for minor revisions (e.g. 3.0 to 3.5).
  • Free technical support through e-mail.

Immediately after paying the registration fee, you will get a registration code to unlock your copy of the software. Unlocking the software removes all limitations and you get all benefits of the registered version of Actual Title Buttons.

To register your copy of Actual Title Buttons, follow the instructions below:

  1. Click on the Start button, select Programs, select Actual Title Buttons and click on the Configuration entry. This will launch the Configuration Module of the program.
  2. Click on the Help Menu entry on the toolbar and select the Enter registration code command.
  3. Type in your registration name and registration code exactly as shown in the registration notice email (it will be a good idea to use the "copy/paste" technique to enter the registration code).
  4. Click the OK button.
  5. Restart Actual Title Buttons to complete the registration.

Thank for your choosing Actual Title Buttons!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: July 28, 2005.


Actual Title Buttons: Purchasing information

Purchasing information

For getting all benefits of the registered version of Actual Title Buttons you must register your own copy of the software. The registration costs is only $19.95 US.

Order full version of Actual Title Buttons now!

We support all kinds of payment:

  • Online ordering - this is the fastest and easiest way to order software products using credit card.
  • Phone and fax orders.
  • Paying by Check via Postal Mail.

For latest information about prices and ordering details (credit cards, voice, fax, and snail mail) please go to www.ActualTools.com/order or contact us via email sales@actualtools.com.

After paying the registration fee, you will get a registration code to unlock the software. Please read how to register the program.

Note that a single license gives you permission to install Actual Title Buttons on a single machine. A separate license should be bought for each additional machine.

Visit our website or email us for information about volume discounts and site licenses.

ORDER NOW
Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Title Buttons: License

Actual Title Buttons version 3.8
Copyright (c) 2002-2005 Actual Tools
All rights reserved.

Software License

   PLEASE READ THIS SOFTWARE LICENSE AGREEMENT "LICENSE" CAREFULLY
BEFORE INSTALLING THIS SOFTWARE. BY INSTALLING THIS SOFTWARE, YOU
ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO
NOT AGREE TO THE TERMS OF THIS LICENSE, YOU ARE NOT AUTHORIZED TO
INSTALL THIS SOFTWARE.

1. License.
   This software and any images accompanying this License, whether on
disk, in read only memory, or on any other media are licensed, not
sold, to you by the AUTHOR. YOU OWN THE MEDIA ON WHICH THE SOFTWARE IS
RECORDED BUT THE AUTHOR RETAINS TITLE TO THE SOFTWARE.
Any software in this package, and any copies that this License authorizes
you to make, are subject to this License.

2. Permitted Uses and Restrictions.
   This License allows you to install and use the unregistered version
of the Software for a reasonable period of time for the purpose of determining
whether the Software is suitable for your needs. The use of the full version of
the Software requires registration.
   Once registered, the user is granted a non-exclusive license to use the
Software on one computer, for any legal purpose, at any single time.
   Except as permitted by applicable law and this License, you may not
decompile, reverse engineer, disassemble, modify, rent, lease, loan,
distribute, create derivative works from the Software or its component
nor transmit the Software over a network.
   A limited license is granted to all registered and unregistered users,
webmasters, owners of distribution systems, BBS etc to copy and distribute
unregistered trial Software only for the trial use of others, subject to the
above limitations, and also the following:
   The software and all of its release files must be copied in unmodified form,
complete with the file containing this license information.

   Your rights under this License will terminate automatically without
notice from the AUTHOR if you fail to comply with any term(s) of this License.

3. Limited warranty.
AUTHOR warrants that the SOFTWARE will perform in substantial compliance
with the description supplied with the software product. If a significant
defect in the product is found, there is possibility of a refund.  In no
event will such a refund exceed the purchase price of the product.

4. Disclaimer of Warranty on AUTHOR.
THE AUTHOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT
NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE, WITH RESPECT TO THE  PRODUCT.  SHOULD THE SOFTWARE
PROVE DEFECTIVE, THE PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST
OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR
CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL AUTHOR BE LIABLE FOR ANY DAMAGES
WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS,
BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING
OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF AUTHOR HAS BEEN
ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

5. Complete Agreement.
This License constitutes the entire agreement between the parties with
respect to the use of the Software and supersedes all prior or
contemporaneous understandings regarding such subject matter.
No amendment to or modification of this License will be binding unless
in writing and signed by AUTHOR.

---
Copyright (c) 2002-2005 Actual Tools. All rights reserved.
http://www.ActualTools.com
actualtools@actualtools.com
Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: July 28, 2005.


Actual Title Buttons: Administration

Administration

  • Setup Command Line Parameters
  • Program Command Line Parameters


Actual Title Buttons: Setup Command Line Parameters

Setup Command Line Parameters

The Setup program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the Setup program.

Parameter | Description
/SP- | Disables the This will install... Do you wish to continue? prompt at the beginning of Setup.
/SILENT, /VERYSILENT | Instructs Setup to be silent or very silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. When a setup is very silent this installation progress window is not displayed. Everything else is normal so for example error messages during installation are displayed and the startup prompt is (if you haven't disabled it with the '/SP-' command line option explained above) If a restart is necessary and the '/NORESTART' command isn't used (see below) and Setup is silent, it will display a Reboot now? messagebox. If it's very silent it will reboot without asking.
/NORESTART | Instructs Setup not to reboot even if it's necessary.
/DIR="x:\dirname" | Overrides the default directory name displayed on the Select Destination Directory wizard page. A fully qualified pathname must be specified.
/GROUP="folder name" | Overrides the default folder name displayed on the Select Start Menu Folder wizard page.


Actual Title Buttons: Program Command Line Parameters

Program Command Line Parameters

The ActualTitleButtonsCenter.exe program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the ActualTitleButtonsCenter.exe program.

Parameter | Description
i+ | Enable tray icon for current user
i- | Disable tray icon for current user
s+ | Enable Launch at startup for current user
s- | Disable Launch at startup for current user
-all | Apply 'i-', 'i+', 's-' or 's+' command for all users
C | Reload the default configuration (ActualTitleButtons.ini)
C "config_file_name.ini" | Reload configuration from the config_file_name.ini file. A relative filename must be specified.


Actual Tools Products Catalog

Welcome to products catalog of Actual Tools!

Here you can find information of all our products:

  • Actual Window Manager
    Make your desktop handier, more user friendly and more beatuful at the same time!
  • Actual Title Buttons
    Add Minimize To Tray, Rollup\Unroll, Stay On Top and Make Transparent buttons on any window title bar!
  • Actual Transparent Window
    Add transparency effect to any window you want!
  • Actual Window Minimizer
    Minimize To Tray or An Screen Edge any program you want!
  • Actual Window Rollup
    Minimize windows so only title bars remain visible!
  • Actual Window Guard
    Gain full control on your windows!
  • Actual Window Menu
    Add custom extended menu to any window!

Actual Window Manager

Make your desktop handier, more user friendly and more beatuful at the same time!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $39.95 USD
File Size: 1.79 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager integrates and combines all of the great features from six of our award-winning Actual Tools programs. By using Actual Window Manager you get all features of six our programs as well as some extra advantages.

Download | Order Now! | Home page | More info...

Actual Title Buttons

Add Minimize To Tray, Rollup\Unroll, Stay On Top and Make Transparent buttons on any window's title bar!

Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Windows concept is quite usable when it comes to minimizing, maximizing and restoring a window. This unique tool offers extended window manipulating capabilities by means of adding new buttons to a window caption. Besides on-the-fly window transparency control and window roll-up \ unroll features, it allows you to minimize any window to TaskTray area instead of Taskbar and keep any window on top of others.

The new buttons are as easy to use as the standard ones and will be helpful for both large applications and small utilities.

Download | Order Now! | Home page | More info...

Actual Transparent Window

Add transparency effect to any window you want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, WinAmp, Menus and others in Windows 2000/XP Version: 3.8
Release Date: September 23, 2005
Work on: Windows XP/2000/2003
Price: $19.95 USD
File Size: 1.64 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window lets you apply transparency effect to any window in Windows 2000/XP.

The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, WinAmp, menus, any Instant Messenger and other windows.

Actual Transparent Window lets you set individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.

Download | Order Now! | Home page | More info...

Actual Window Minimizer

Minimize To Tray or To Screen Edge any program you want!

Minimize To Tray or Minimize To Screen Edge any program you want and get more space and freedom! Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.64 Mb
Download Now!
Order Now!
Home Page

Actual Window Minimizer lets you minimize any application to a small icon in the System Tray or to any Screen Edge.

This feature helps you save the taskbar and desktop space and use them in a more efficient manner.

Actual Window Minimizer is an ideal solution for such programs as e-mail clients (Outlook Express, Outlook, Eudora etc.), audio players (Windows Media Player, CD Player etc.), offline-browsers and ftp-clients, or any background processing programs.

Download | Order Now! | Home page | More info...

Actual Window Rollup

Roll up/unroll windows! Minimize them so only the title bars remain visible.

Roll up/unroll windows! Minimize them not to icons, but so only the title bars remain visible. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.63 Mb
Download Now!
Order Now!
Home Page

Minimize windows so only title bars remain visible. This is better than minimizing them to icons. You won't have to hunt for the windows you were using! Mix manual and automatic controls to your preferences.

Download | Order Now! | Home page | More info...

Actual Window Guard

Gain full control on your windows!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.62 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard will help you automatically minimize certain programs upon startup or open them full screen. It will help you get rid of annoying pop-up windows. It will also allow save windows size and position and restore them on next time. It prevents accidental close of important windows and can save you a lot of annoyance!

Optimize your system and make it more comfortable to use!

Download | Order Now! | Home page | More info...

Actual Window Menu

Add custom extended menu to any window! Organize windows in a neat way!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.64 Mb
Download Now!
Order Now!
Home Page

Actual Window Menu adds several menu items to standard window menu accessible via application icon in the title bar. Among them: Roll Up \ Unroll window, Set transparency, minimize to task tray and always keep window on top and more!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Window Manager

Make your desktop handier, more user friendly and more beatuful at the same time!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager is an innovative desktop organization application that introduces unconventional window navigation controls for more convenient and enjoyable working with your computer. The application integrates the functionality of six best-selling window enhancement programs, previously marketed as separate brands:

  • Actual Title Buttons
  • Actual Transparent Window
  • Actual Window Minimizer
  • Actual Window Guard
  • Actual Window Rollup
  • Actual Window Menu

Now you can enjoy the full power of six programs in one integrated suite offered at a fairly inviting price of $19.95, i.e. you have $75 off as compared to the total sum for six separate products. Besides, the application works faster and consumes fewer resources.

The program has many benefits. With an alternative window control system that is intuitive and user friendly, you can navigate windows in completely new ways, i.e. making them transparent, putting important windows on top, "rolling them up" and "unrolling", minimizing them to small icons in the system tray or screen edge, controlling windows at system startup and more! Subtle tweaking of individual application windows can be easily performed in the Configuration Module. The new controls are easily accessible for they are visually realized as additional title bar buttons placed next to standard Minimize/Restore/Close buttons.

Actual Window Manager offers the following functionality:

  • Transparency option allows you to make any window semi-transparent, with the transparency level being easily adjusted from 0% (fully transparent) to 100% (solid). The option is useful when you work with two windows. Click the Transparency button on the title bar and the current window becomes semi-transparent so that you can still work with it but see the contents of the other one behind it.
    Cool Tip
    Learn to draw superb portraits with world-famous masterpieces such as Leonardo da Vinci's "Mona Lisa". Open the "Mona Lisa", create a new image in Adobe Photoshop, make its window semi-transparent and draw a portrait of the woman, preserving the subtle overtones of her mysterious smile!
  • Stay-On-Top option puts any selected application window on top of all the rest. As you are working with several windows, you can select the key window and pin it up on top to have its contents always visible.
    Cool Tip
    While reading Dostoevsky's "The Brothers Karamazov" in original, you can have your Russian-English dictionary on top to quickly look up any strange word in it.
  • Roll-Up/Unroll option is an alternative way of minimizing a window to its title bar. Click the Roll-Up button or double click the window title bar and the current window "rolls up" to the title bar, click again and the window "unrolls". Roll-Up is the best when you work with two windows and need to quickly switch between them.
    Cool Tip
    Launch the newly bought version of Macromedia Flash and while exploring its tools and multiple menus, you can "roll-up" the application window to read a help topic in the tutorial file behind and come back to the application window again.
  • Minimize option offers you two more ways of alternative window minimization. You can minimize the current window to a small icon in the task tray or on the desktop edge. Either way you efficiently eliminate the so-called "task bar clutter problem" caused by working with many windows at a time. Besides, minimized windows are very easy to find as you place an application icon in the most convenient desktop place.
    Cool Tip
    Free your task bar for more urgent applications by minimizing "background" programs such as Microsoft Outlook or Access to the system tray. Alternatively you can minimize important but occasionally used applications to the screen edge.
  • Guard option helps you subtly tune up Windows startup by automatically minimizing pop-up application windows or, alternatively, opening them full screen.
    Cool Tip
    Journalists may configure their system to automatically open CNN or BBC web sites full screen at the startup so that they can instantly learn the latest news.
  • Menu option expands the options of a standard window menu, which is accessible via an application icon on the title bar. Now, the menu features such options as: minimize to tray, roll up/unroll, stay-on-top, set transparency and set priority. Once, you have configured the settings of an application window, they remain forever unless you want to configure them again.
    Cool Tip
    Should you have a slow opening application, you can quickly access its window menu and set priority to "high".

Features

Actual Window Manager has a lot more smart uses that we leave for you to discover. The following list of its full functionality may give you a certain insight of what benefits you can expect from the program:

  • Transparency effect, automatic/manual control, individual window transparency rate, inactive window transparency, ghost mode, transparency effect while it being resized/dragged;
  • Minimizing to a small icon in the system tray/on the screen edge, deactivated window minimization, right-click context menu;
  • Automatic window control at startup, window size and position save, window task bar remove, priority change, window title change;
  • Roll-Up/Unroll, manual, automatic and mix controls;
  • Window menu expansion with such options as set priority, roll up/unroll, set transparency, minimize to task tray and stay-on-top;
  • Extended window manipulating capabilities by means of adding new buttons to a window caption.
  • Hotkeys support: Now you can minimize programs to the system tray, always keep them on top, roll up windows, make them semitransparent, etc. by means only one keystroke combination.
  • Windows XP visual style support;
  • Subtle tweaking of any application window;
  • Multilingual support of English, Spanish, French, Italian, Portuguese, Swedish, Danish, Catalan, Turkish and Polish;
  • Flexible pricing policy and considerable discounts;
  • High quality customer support.

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Transparent Window

Add transparency effect to any window you want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, WinAmp, Menus and others in Windows 2000/XP Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window is an innovative Windows transparency shell enhancement novelty - the application that allows setting any level of transparency for any individual window on the system.

Actual Transparent Window adds a new dimension to desktop space making it easy to organize simultaneously open windows without having to minimize and restore them every here and then. Along with common techniques of switching between applications windows Actual Transparent Window offers depth-based window ordering thanks to fully customizable transparency levels that are saved individually for each window.

Actual Transparent Window is intended for broad range of Windows users who value time and long for esthetical pleasure of modern computing. Using transparent windows reduces negative effects on user's eyes as well as it allows for more native dimensional information representation model in human beings. Multiple reports by Actual Transparent Window users indicate overall increase of productivity when using several business applications that require manual information interchange simultaneously. Desktop space saved by eliminating opaque windows can be used for placing additional icons. Another great use of this program is for setting transparency depending on importance of task an application performs.

Actual Transparent Window comes with flexible pricing options and a FREE trial version available! Download it now!

Features

  • Individual transparency rate:
    Actual Transparent Window lets you set individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.
  • Inactive window transparency:
    Actual Transparent Window has option to set transparency only when window becomes inactive. And when you activate this window it becomes non-transparent again. This option may be especially useful for your Instant Messenger (Windows Messenger, Yahoo Messenger or any other).
  • Ghost mode:
    You can also activate the ghost mode. In this case all mouse clicks and moves to be made through the transparent window to underlying windows.
  • Apply transparency effect while window is moved or is resized:
    Apply transparency effect only when you move/drag or resize the window across the desktop. Note that this does not affect your transparency setting for windows while they are not being moved or resized.
  • Toggle transparency\opaque window state by double click on title bar:
    To toggle a window from transparent to opaque, double click on the title bar. To toggle a window from opaque to transparent, double click on the title bar again.
  • Make Transparent Make Transparent button button:
    The new "Make Transparent" button is may be added to a window title bar. Now you can switch on\off semitransparency just pressing it.

    Transparency Context Menu

    You can select a different transparency level for any window on the fly, while it is open! Right-clicking 'Make Transparent' button displays a context menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • System menu:
    New item Transparency is may be added to the system menu of a window. You can change a level of transparency via a new submenu at any time.
  • Hotkeys support:
    A keystroke Win+T switches on\off the transparency for the active window.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Transparent Window supports English, German, Spanish, French, Italian, Portuguese, Swedish, Catalan, Turkish and Polish languages.
  • Possibility to improve almost each program:
    The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, WinAmp, drop-down menus and lists, any Instant Messenger and other windows.

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Window Minimizer

Minimize To Tray or To Screen Edge any program you want!

Minimize To Tray or Minimize To Screen Edge any program you want and get more space and freedom! Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Actual Window Minimizer is an innovative desktop space saving and organization software that allows minimizing any window to task tray notification area or to the edge of the screen.

Actual Window Minimizer handles all standard application windows making it easy to organize uncluttered desktop space for convenient working. An average system running Actual Window Minimizer is much easier to use thanks to ergonomics concepts utilized in this software.

Actual Window Minimizer is intended both for home and corporate users who would like to get a better view of desktop by using alternative windows minimization method rather then using traditional ways of placing minimized windows on the Taskbar. Due to the fact that application icons are in most cases self-explanatory it is often enough to minimize inactive windows to task tray area or to the edge of the screen without having to display additional textual description. However, hovering mouse cursor over minimized window icon provides such information, making it easy to master such alternative minimization technique both for advanced and newbie computer users.

Actual Window Minimizer is a truly convenient alternative window minimizing tool that is easy to use for everyone who can click a mouse button. Keeping desktop clean means less distraction, which in turn means steadier operation and healthier computing experiences!

Features

  • Minimize to Tray:
    Actual Window Minimizer lets you minimize any application to a small icon in the System Tray.
  • Minimize to Edge:
    Actual Window Minimizer lets you minimize any application to a small icon to any Screen Edge.
  • Minimize Window When it is Launched:
    You may define what programs will be automatically minimized to tray or to screen edge when they are launched.
  • Minimize Window When it is Deactivated:
    You may define what programs will be automatically minimized to tray or to screen edge when you don't use them.
  • Minimize to Tray Minimize To Tray button title button:
    The 'Minimize to Tray' button is may be placed in a window title bar. You can minimize the program to the system tray by using the new button or minimize the program to the taskbar with a standard button Minimize.
  • System menu:
    New item 'Minimize to Tray' is may be added to the system menu of a window.
  • Hotkeys support:
    A keystroke Win+> minimizes the window to the system tray.
  • Right-click context menu:
    We have simplified the program with a new right-click context menu. This new menu applies to windows that have been minimized to icons in the tray. Right-click on the icon and the new context menu will pop up to offer you two new actions:
    • "Restore Window" re-opens the icon to a window.
    • "Close Window" closes the window immediately in its icon condition - no need to re-open the window.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Minimizer supports English, German, Spanish, French, Italian, Portuguese, Swedish, Catalan, Turkish and Polish languages.
  • Possibility to improve almost each program:
    Actual Window Minimizer is an ideal solution for programs such as e-mail clients (Outlook Express, Outlook, Eudora etc.), audio players (Windows Media Player, CD Player etc.), offline-browsers and ftp-clients, or any background processing programs.

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Window Rollup

Roll up/unroll windows! Minimize them so only the title bars remain visible.

Roll up/unroll windows! Minimize them not to icons, but so only the title bars remain visible. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Make everyday window open and close chores easier and more fun with Actual Window Rollup. It has helpful features and excellent ways to make the windows on your desktop better behaved and easier to use.

Actual Window Rollup lets you minimize open windows not to taskbar icons, but so only the title bars remain visible.

People use the rollup option much more often than the standard minimization to the taskbar. Intuitively, minimizing to the title bar resembles the way you look out of the window - you pull the curtain up, not down!

Actual Window Rollup gives you the maximum in utility and ease! Once you use it, you won't want to go back to the old way of working with windows! Try it and see!

Features

  • Manual Windows Shade:
    Toggle window rollup/unroll by double clicking the title bar. Title bars are easier to find than programs minimized to icons. You won't have to hunt for the windows you were using! Click on a window and it becomes a title bar; Click on the title bar and restore it to an open window!
  • Automatic window rollup/unroll:
    Selected windows will automatically roll up into title bars whenever they become inactive. The rolled-up title bars will then automatically unroll when you want to work with them again!
  • Temporarily Unroll the Window:
    This will make a window temporarily unroll when the mouse cursor hovers over it. Simply pass your mouse cursor over them and they unroll! Easier than clicking!
  • Rollup\Unroll [image] title button:
    The button 'Roll up\Unroll Window' is may be added to a window title bar. Now you can roll up or unroll window just pressing it.
  • System menu:
    New item 'Roll up Window' is may be added to the system menu of a window.
  • Hotkeys support:
    A keystroke Win+< roll up\unroll the active window.
  • Individual window settings:
    Mix manual and automatic controls in various ways to your preferences and for individual programs. Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Rollup supports English, German, Spanish, French, Italian, Portuguese, Swedish, Danish, Catalan, Turkish and Polish languages.
  • Possibility to improve almost each program:
    Actual Window Rollup is useful for working with office tools (Microsoft Word, Microsoft Excel, Adobe PhotoShop, Corel Draw etc.); e-mail clients (Microsoft Outlook, Outlook Express, Eudora, Incredimail etc.); media players (Windows Media Player etc.); internet browsers (Internet Explorer, Opera etc.); offline browsers or ftp-clients; and many other kinds of programs.

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Window Guard

Gain full control on your windows!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard is a proven desktop productivity enhancement solution that allows corporate and personal users to extend and manage their desktop for increased productivity and manageability.

More robust in features and functionality than any other desktop enhancement solution on the market, Actual Window Guard benefits from the proven technology of Actual Tools and includes the following functionality: close annoying pop-ups or other windows user don't want to see, automatically minimize certain programs upon startup or open them full screen, save and restore size and positions of windows and much more.

Features

  • Automatically maximize windows upon startup:
    Actual Window Guard will help you automatically open full screen certain programs upon startup. Automatically maximize Internet Explorer or any other window upon opening!
  • Automatically minimize windows upon startup:
    Automatically minimize Outlook Express or any other window upon opening!
  • Close windows automatically:
    Another helpful feature of Actual Window Guard is that you can set it to close annoying pop-ups automatically, or other windows you don't want to see.
  • Align window upon startup:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc.

    Align Window Context Menu

  • Save window size and position:
    If the windows of the programs you run are always appearing somewhere you don't want, or in some size that you don't want, or not as visible as you want - then Actual Window Guard will delight you. It will allow you to "discipline" unruly windows and put your desktop in order.
  • Set window position and size when it is created:
    Actual Window Guard also allows setting window coordinates and size manually.
  • Keep window on top:
    The Stay On Top feature brings the window to the top of the desktop and doesn't allow other windows to hide it.
  • Prevent accidental close of of window:
    Did you ever close a window by mistake? Perhaps it was inconvenient, or maybe you even lost some data! Actual Window Guard can help you to prevent this.
  • Change window title:
    Now you can replace the original title of a window to say whatever you want it to say! For example, you can rename your word processor, a game, etc.
  • Change Program Priority:
    This feature can change the speed of execution for any program from low to high or back. Be careful, and don't make changes unless you know what you are doing.
  • Remove window from taskbar:
    You may remove some windows from your taskbar and make them more convenient.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Guard supports English, German, Spanish, French, Italian, Portuguese, Swedish, Catalan, Turkish and Polish languages.

This utility is the final step to optimize your use of program windows and make them more comfortable to use!

Actual Window Guard comes with flexible pricing options and a FREE trial version available!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Window Menu

Add custom extended menu to any window! Organize windows in a neat way!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 3.8
Release Date: September 23, 2005
Work on: Windows 95/98/NT/2000/Me/XP
Price: $19.95 USD
File Size: 1.65 Mb
Download Now!
Order Now!
Home Page

Actual Tools introduces Actual Window Menu, the unique standard window menu extension that provides advanced users with alternative ways of organizing and managing windows.

Actual Window Menu adds several menu items to standard window menu accessible via application icon in the title bar. Among new commands are: Roll Up \ Unroll window, Set window transparency, change program priority, minimize to task tray and always keep window on top. These new features allow advanced and newbie Windows users save their time and desktop space by neatly organizing windows.

Unlike simple shell extension solutions, Actual Window Menu allows you to create rules (i.e. available menu items and corresponding settings) for each individual application which is most convenient for automating the organization process. Simply find the window you would like to configure and use straightforward interface to configure its extended menu and its settings. Next time you run the program the settings will automatically take effect!

Actual Window Menu is available under flexible licensing conditions and comes with free trial version you can download right now!

Features

  • Minimize to Tray command:
    The 'Minimize to Tray' feature lets you save taskbar space while providing access to minimized applications via the system tray icons. Make your own taskbar less cluttered and more handy!
  • Rollup\Unroll command:
    The 'Rollup\Unroll' feature lets you minimize windows so only the title bars remain visible.
  • Stay on Top command:
    The 'Stay on Top' feature helps you place the selected windows on top of other ones, so that it were always accessible and couldn't be hidden by other windows. Don't let these windows annoy you when you busy!
  • Send to Bottom command:
    The 'Send to Bottom' feature sends the desired window to the bottom of others. In other words, this button hides a window under other windows, but leaves it on the desktop.
  • Make Transparent menu:
    The 'Make Transparent' feature lets you apply transparency effect from 0% (fully transparent) to 100% (solid) rate to any program in Windows 2000/XP.

    Transparency Context Menu

    You can select a different transparency level for any window on the fly, while it is open! Clicking 'Make Transparent' displays a popup menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • Change Priority menu:
    The 'Change Priority' feature allows changing the desired window's program priority. This command has a submenu that allows you to set the one of the pre-defined levels of the window's program priority: Low, Below Normal, Normal, Above Normal, High and Real-Time.

    Align Window Context Menu

  • Align Window menu:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc. Clicking 'Align Window' button displays a popup menu where you can choose one of the nine types of alignement:

    Align Window Context Menu

  • Resize Window menu:
    The 'Resize Window' feature allows you to set the size of any selected application window to have it always opened at the size you want. You can choose any Default Window Size from the list which includes exact window sizes in pixels (e.g. 640 x 480; 800 x 600; 1024 x 768) or in percents from the desktop size (e.g. 100% x 100%; 50% x 50%). Moreover you can set the width and height of any window on your own by using Custom Window Size option.

    Resize Window Context Menu

    Resize Window tool is extremely useful for website designers. They can quickly see how their web project looks like in different resolutions by flicking through default window sizes or setting any unique window size on their own.
  • Hotkeys support:
    Now you can minimize programs to the system tray, always keep them on top, roll up windows, make them semitransparent, etc. by means only one keystroke combination. Such a possibility lets you manage the same actions much quicker on condition of using keyboard.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Menu supports English, German, Spanish, French, Italian, Portuguese, Swedish, Catalan, Turkish and Polish languages.
  • Possibility to improve almost each program:
    Actual Window Menu is useful for working with e-mail clients (Microsoft Outlook, MS Outlook Express, Eudora, Incredimail etc.); messenger programs (MSN / Windows Messenger, Yahoo Messenger etc.); office tools (Microsoft Word, Microsoft Excel, Adobe PhotoShop, Corel Draw etc.); developer tools (MS Visual Studio, Borland Delphi etc.); and many other kinds of programs.

Add custom extended menu to your windows right now!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: September 22, 2005.


Actual Title Buttons: Contacts

Contacts

For the most recent information about Actual Title Buttons and other our products, please visit our Web site at www.ActualTools.com.

You can freely download the latest updates for Actual Title Buttons and evaluation versions of other our products at www.ActualTools.com/download.

We always appreciate your input. Please take a moment to share your feelings, ideas and suggestions. Please feel free to contact us at the following addresses:

  • Technical Support and Feedback: support@actualtools.com
  • Sales department: sales@actualtools.com

Thank you for your time and attention!

Copyright © 2002-2005 Actual Tools. All rights reserved.
Last modified: July 28, 2005.